Jump to content
Eternal Lands Official Forums
Guest TheDevilsAdmin

Problem with installing Eternal lands :( [Ubuntu]

Recommended Posts

Guest TheDevilsAdmin

I have a problem when installing Eternal lands I followed the instructions and it worked fine...NOT

I run it in the terminal.

Writing my password then the terminal closes.......but the game is not listed in "games"

please help me!

Share this post


Link to post
Share on other sites
I have a problem when installing Eternal lands I followed the instructions and it worked fine...NOT

I run it in the terminal.

Writing my password then the terminal closes.......but the game is not listed in "games"

please help me!

Please would you state your problem more clearly.

 

Did you install the game from the Ubuntu packages?

If so, were there any error messages in the terminal window during the install?

 

If you did not install the Ubuntu packages but instead downloaded the el_linux_190.zip file then you need to follow the instructions from the download page. Installing from the el_linux_190.zip will not put an icon into the "games" section of your desktop menus.

Share this post


Link to post
Share on other sites
Guest TheDevilsAdmin

Well I used ubuntu-el-install-0.2.0.sh and I followed the instructions and ran it thru the terminal!

It didn't work.....When I entered my password the terminal closed :(

Share this post


Link to post
Share on other sites
Well I used ubuntu-el-install-0.2.0.sh and I followed the instructions and ran it thru the terminal!

It didn't work.....When I entered my password the terminal closed :(

The terminal should not just close so we need to find out why.

Please can you open a terminal (Applications->Accessories->Terminal) and run the ubuntu-el-install-0.2.0.sh script from the command prompt. Then copy/paste the output into this forum thread.

 

To run the command from the terminal, you need to know where you saved it to. For example, if you saved the script to your Desktop, the command to run would be:

~/Desktop/ubuntu-el-install-0.2.0.sh

 

Just use the same format but specify the path to where you saved the script.

Share this post


Link to post
Share on other sites

I don't know where you've got with this but I've updated the install script as it did not work with a default Ubuntu maverick install. Maverick is not shipping with the aptitude package manager installed by default; the script used aptitude. The script now uses apt-get. The wiki page has been updated with a link to the new script version ubuntu-el-install-0.3.0.sh.

Edited by bluap

Share this post


Link to post
Share on other sites
Guest Rustybolts

Reason for:

Just updated to Maverick now game won't start if started from terminal

rustybolts@rustybolts-laptop:~$ cd '/home/rustybolts/Downloads/el_linux' 
rustybolts@rustybolts-laptop:~/Downloads/el_linux$ '/home/rustybolts/Downloads/el_linux/el.x86_64.linux.bin' 
Segmentation fault

Share this post


Link to post
Share on other sites

Reason for:

Just updated to Maverick now game won't start if started from terminal

rustybolts@rustybolts-laptop:~$ cd '/home/rustybolts/Downloads/el_linux' 
rustybolts@rustybolts-laptop:~/Downloads/el_linux$ '/home/rustybolts/Downloads/el_linux/el.x86_64.linux.bin' 
Segmentation fault

Please can you give more details about your graphics card. The output from these commands should do:

glxinfo | head -5
lspci | grep -i vga

Also post the contents of the file ~/.elc/error_log.txt

Share this post


Link to post
Share on other sites
Guest Rustybolts

Reason for:

Just updated to Maverick now game won't start if started from terminal

rustybolts@rustybolts-laptop:~$ cd '/home/rustybolts/Downloads/el_linux' 
rustybolts@rustybolts-laptop:~/Downloads/el_linux$ '/home/rustybolts/Downloads/el_linux/el.x86_64.linux.bin' 
Segmentation fault

Please can you give more details about your graphics card. The output from these commands should do:

glxinfo | head -5
lspci | grep -i vga

Also post the contents of the file ~/.elc/error_log.txt

 

The terminal output

rustybolts@rustybolts-laptop:~$ glxinfo | head -5
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
rustybolts@rustybolts-laptop:~$ lspci | grep -i vga
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)
rustybolts@rustybolts-laptop:~$ 

 

and the error text file

 

 

Log started at 2010-10-13 17:00:49 localtime (BST)

[17:00:49] Using the server profile: main
[17:00:49] Warning: Didn't find your data_dir, using the current directory instead. Please correct this in your el.ini . Given data_dir was: "/usr/share/games/EternalLands/". Using "/home/rustybolts/Downloads/el_linux".
[17:00:49] Window size adjusted to 800x600
[17:00:49] GL_ARB_multitexture extension found, using it.
[17:00:49] GL_EXT_compiled_vertex_array extension found, using it.
[17:00:49] GL_ARB_point_sprite extension found, using it.
[17:00:49] GL_ARB_texture_compression extension found, using it.
[17:00:49] Couldn't find the GL_EXT_texture_compression_s3tc extension, not using it...
[17:00:49] GL_SGIS_generate_mipmap extension found, using it.
[17:00:49] GL_ARB_shadow extension found, using it.
[17:00:49] GL_ARB_vertex_buffer_object extension found, using it.
[17:00:49] GL_EXT_framebuffer_object extension found, using it.
[17:00:49] GL_EXT_draw_range_elements extension found, using it.
[17:00:49] GL_ARB_texture_non_power_of_two extension found, using it.
[17:00:49] GL_ARB_fragment_program extension found, using it.
[17:00:49] GL_ARB_vertex_program extension found, using it.
[17:00:49] GL_ARB_fragment_shader extension found, using it.
[17:00:49] GL_ARB_vertex_shader extension found, using it.
[17:00:49] GL_ARB_shader_objects extension found, using it.
[17:00:49] GL_ARB_shading_language_100 extension found, using it.
[17:00:49] GL_ARB_texture_mirrored_repeat extension found, NOT using it...
[17:00:49] GL_ARB_texture_rectangle extension found, NOT using it...
[17:00:49] GL_EXT_fog_coord extension found, NOT using it...
[17:00:49] Couldn't find the GL_ATI_texture_compression_3dc extension, not using it...
[17:00:49] Couldn't find the GL_EXT_texture_compression_latc extension, not using it...

 

Cheers Rustybolts

Share this post


Link to post
Share on other sites

That all looks OK, your data_dir path is not right but running from the el_linux directory is OK. Try changing some settings in the file ~/.elc/main/el.ini. Enable the "Poor Man" option by setting "#poor_man=1". Or disable the "Use animation program" option by setting "#use_animation_program=0".

Share this post


Link to post
Share on other sites
Guest
You are commenting as a guest. If you have an account, please sign in.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoticons maximum are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×